% SatNOGS COMMS Interface Control Document
% Copyright (C) 2020, 2021, 2022, 2023, 2024 Libre Space Foundation
%
% This work is licensed under a
% Creative Commons Attribution-ShareAlike 4.0 International License.
%
% You should have received a copy of the license along with this
% work.  If not, see <http://creativecommons.org/licenses/by-sa/4.0/>.

% Linter settings
% chktex-file -2
% chktex-file 18
% chktex-file 35
% chktex-file 13

\documentclass[english,title,a4paper]{report}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[english]{babel}
\usepackage{float}
\usepackage[hidelinks]{hyperref}
\usepackage[toc,acronyms,section,nopostdot,nonumberlist,section=section,numberedsection]{glossaries}
\usepackage[toc,page]{appendix}
\usepackage{graphicx}
\usepackage{titlesec}
\usepackage{fancyhdr}
\usepackage{lastpage}
\usepackage{amssymb}
\usepackage{textcomp,gensymb}
\usepackage{booktabs}
\usepackage{pifont}
\usepackage{verbatim}
\usepackage{rotating}
\usepackage{makecell}
\usepackage{lipsum}
\usepackage{longtable}
\usepackage{xcolor, soul}
% \usepackage[paper=portrait,pagesize]{typearea}

\usepackage{hyperref}
\hypersetup{
    colorlinks=true,
    linkcolor=black,
    filecolor=magenta,
    urlcolor=blue,
    citecolor=black,
}

\fancypagestyle{plain}{
  \fancyhf{}
  \fancyhead[R]{SatNOGS COMMS\\Interface Control Document}
  \fancyhead[L]{\includegraphics[width=1.5cm]{diagrams/LSF_HD_Icon_Color.png}} %chktex-file 25
  \fancyfoot[L]{Version \version}
  \fancyfoot[C]{\thepage{} of~\pageref{LastPage}}
  \fancyfoot[R]{\copyright{} Libre Space Foundation}
  \renewcommand{\headrulewidth}{0.4pt}
  \renewcommand{\footrulewidth}{0.4pt}
}
\pagestyle{plain}
\setcounter{secnumdepth}{3}
\setcounter{tocdepth}{3}

\newcommand{\cmark}{\ding{51}}%
\newcommand{\xmark}{\ding{55}}%

\newcommand\TBD[1]{\textcolor{red}{#1}}

\input{include/version}

\makeglossaries{}

%% Acronyms
\input{glossaries/acronyms}

\title{Interface Control Document \\\large{SatNOGS COMMS}}
\author{\includegraphics[scale=0.2]{diagrams/lsf-logo.png}}
\date{Version \version}
\titleformat{\chapter}[hang]
{\normalfont\bfseries\Huge}{\thechapter.}{10pt}{}

\begin{document}

\hypersetup{pageanchor=false}
\maketitle
\hypersetup{pageanchor=true}
\tableofcontents

\chapter{Changelog}

\begin{tabular}{llp{6.5cm}}
    \toprule
    Version & Date          & Changes                                     \\ \midrule
    1.0     & Dec 18, 2023  & No Changes                                  \\ \midrule
    1.1     & Dec 29, 2023  & No Changes                                  \\ \midrule
    1.2     & Mar 19, 2024  & Updates for PCB v0.3.1                      \\ \midrule
    1.3     & Apr 30, 2024  & No Changes                                  \\ \midrule
    1.4     & Nov 05, 2024  & No Changes                                  \\ \midrule
    1.5     & Dec 10, 2024  & \textbullet{} Merged "Subsystem Interface" section with "Electrical interfaces" \newline
                              \textbullet{} Updated mechanical specifications to include the bottom shield \newline
                              \textbullet{} Updated  connector part numbers and pinout, added mating connector parts \newline
                              \textbullet{} Added FPGA SoM documentation \newline
                              \textbullet{} Update Software Interfaces chapter \newline
                              \textbullet{} Added "Environmental Specifications", "Performance Measurements", and "Material List" sections \\ \midrule
    1.5.1   & Dec 10, 2024  & Fix static GitLab pipeline                 \\ \midrule
    1.5.2   & Dec 18, 2024  & No changes                                 \\ \midrule
    1.6     &               & Add more details for RF measurements       \\ \bottomrule
\end{tabular}

\newpage
\printglossary[type=\acronymtype]

\chapter{Introduction}

This Interface Control Document (ICD) defines the interface requirements for integrating SatNOGS COMMS into a CubeSat.
In this document, the mechanical interface of the board along with its environmental specifications and materials list are provided.
Additionally, the electrical interfaces are described in detail.
In particular, the SatNOGS COMMS system included 2 RF interfaces (UHF and S-band), 2 external reference clock interfaces, multiple communication interfaces, and an interface for an FPGA SoM daughter board.
For these interfaces, their position on the board along with pinout and other required electrical information are described.
Moreover, key performance measurements, such as the power consumption in various operational states, are provided.
Finally, the software interfaces of the system are also outlined in this document.


\chapter{Mechanical interface}\label{sec:mechanical-interface}

\section{Dimensions}

%% SRR - MS-11, SRR - MS-10
\acrshort{pcb} dimensions, mounting holes, PC104 connector type and location follow LibreCube~\cite{LibreCube} standard, with the exception of the height of the bottom EMI shield.
The PC104 interface connectors are SAMTEC ESQ-126--39--G-D\@.
A mechanical drawing of the outline and mounting hole locations is shown in \autoref{fig:librecube-mechanical} and the respective one for its side view along with an isometric view is shown in \autoref{fig:side-view-dimensions}.

\begin{figure}[H]
  \centering
  \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/librecube-board-outer-dimensions.png}
  \caption{LibreCube mechanical drawing (mm)}\label{fig:librecube-mechanical}
\end{figure}

\begin{figure}[H]
    \centering
    \includegraphics[width=0.75\linewidth]{diagrams/satnogs-comms-side-drawing.png}
    \caption{Side view dimensions (mm)}\label{fig:side-view-dimensions}
\end{figure}

\section{Mass Budget}

%% Mass Budget Table
  \begin{table}[ht]
    \centering
    \begin{tabular}{|l|l|l|r|}
      \hline
      \# & Component & Material & \multicolumn{1}{l|}{Mass (grams)} \\ \hline
      1 & PCB & FR4 and copper & 31.1 \\ \hline
      2 & Passive Components & NA & 7.1 \\ \hline
      3 & ICs & NA & 16.7 \\ \hline
      4 & Connector & NA & 6.0 \\ \hline
      5 & Top Shield & Al 7075 & 80 \\ \hline
      6 & Bottom Shield & Al 7075 & 50 \\ \hline
      7 & Screws & A4 Stainless Steel & 4.1 \\ \hline
      \multicolumn{3}{|r|}{TOTAL} & 195g ($\pm10g$) \\ \hline
    \end{tabular}
    \caption{Mass Budget Table}\label{tab:mass-budget}
  \end{table}

\chapter{ Electrical Interfaces}\label{sec:subsystem-interface}

\section{BUS Connector}\label{sec:bus-connector}\label{sec:power-supply}

SatNOGS COMMS connects to a CubeSat bus via a PC--104 connector.
The connector type used is the SAMTEC ESQ-126–39–G-D.
Regarding pin assignment, it is based on Librecube standard~\cite{LibreCube}.
As far as pin numbering and header naming is concerned, again the Librecube standard is followed and \autoref{fig:pc104-pin-out} contains all necessary information.

For subsystem communication the following interfaces are available on the PC--104 connector:
\begin{itemize}
\item Two \acrshort{can}-FD interfaces backward compatible with \acrshort{can}-2.0.
\acrshort{can}-FD fulfills interconnect link speed requirements, while subsystems only capable of \acrshort{can}-2.0 can use \acrshort{spi} for data transfer and \acrshort{can}-2.0 for control.
The CAN transceiver used on SatNOGS COMMS is the TCAN334GDCNT\@.
Additionally, it is possible during the order configuration phase to select whether the 120 Ohm CAN termination resistors will be soldered on SatNOGS COMMS or not.
Details about the electrical specifications of the interface can be found in \autoref{tab:if-can}.
\item One \acrshort{spi} interface with a maximum link speed of 8Mbps.
Details about the electrical specifications of the interface can be found in \autoref{tab:if-spi}.
\item Two \acrshort{i2c} interfaces.
Details about the electrical specifications of the interface can be found in \autoref{tab:if-i2c}.
\item Two \acrshort{uart} from the \acrshort{mcu}.
Details about the electrical specifications of the interface can be found in \autoref{tab:if-uart}.
\item One \acrshort{uart} from the \acrshort{fpga}.
Details about the electrical specifications of the interface can be found in \autoref{tab:if-uart}.
\end{itemize}

Note that only the \acrshort{can} interface has been subjected to environmental tests so far.

\begin{figure}[H]
  \centering
  \includegraphics[keepaspectratio, width=\textwidth]{diagrams/pc-104-pinout.png}
  \caption{PC104 Pin out}\label{fig:pc104-pin-out}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/pc104-pin1-leds-rf.png}
  \caption{PC104, LED and RF connector naming}\label{fig:pc104-pin1-leds-rf}
\end{figure}

Regarding the power supply options, one can notice that three options are available.
The user can select among those using solder jumpers, which are soldered during the order configuration stage.
As mentioned in \autoref{fig:pc104-pin-out}, the input voltage range of SatNOGS COMMS is 5.5V to 30V.

\section{Antenna Deployment Connector}\label{sec:antenna-connector}\label{sec:antenna-deployment}
The connector used for the antenna deployment interface along with its mating parts is provide in \autoref{tab:ant-deploy-conn-pn}.\@
The pin assignment is provided in \autoref{tab:ant-deploy-pinout} and the pin numbering is shown in \autoref{fig:ant-dep-pin1}.
The antenna deployment interface exposes two closed loop control endpoints, i.e.~two deployment-detection line pairs.

Control signal lines are software configurable as either 3.3V Push-Pull or Open-Drain.
Maximum input voltage in Open-Drain configuration is restricted to 5V by an ESD protection diode.
Control signal current is limited to 22mA via $220\Omega$ resistor (in the case of a 5V signal).

Detection signal lines are 3.3V compatible and software configured as Pull-Up, Pull-Down or Floating.
Pull-Up and Pull-Down resistor value is $40k\Omega\pm10k\Omega$.
Each detection line is protected from over-voltage via a 5V ESD protection diode and a $1k\Omega$ resistor.

\begin{table}[H]
\centering
\begin{tabular}{|ll|}
\hline
\multicolumn{2}{|c|}{\textbf{Antenna Deployment Connector}}          \\ \hline
\multicolumn{1}{|l|}{SatNOGS COMMS connector} & Harwin G125-MH10605L7P \\ \hline
\multicolumn{1}{|l|}{Mating Connector} & Harwin G125--2040696L0 \\ \hline
\multicolumn{1}{|l|}{Mating Connector Crimps} & Harwin	G125-FW20450L94 \\ \hline
\end{tabular}
\caption{Antenna deployment connector and mating parts}\label{tab:ant-deploy-conn-pn}
\end{table}

\begin{table}[H]
  \centering
  \begin{tabular}{|l|l|}
    \hline
    Pin & Function \\ \hline
    1   & GND \\ \hline
    2   & GND \\ \hline
    3   & Deploy-B \\ \hline
    4   & Detect-B \\ \hline
    5   & Deploy-A \\ \hline
    6   & Detect-A \\ \hline
  \end{tabular}%
  \caption{Antenna Deploy connector pin assignment}\label{tab:ant-deploy-pinout}
\end{table}

\begin{figure}[H]
  \centering
  \includegraphics[keepaspectratio, width=0.5\textwidth]{diagrams/ant-dep-pin1.png}
  \caption{Antenna deployment interface pin numbering}\label{fig:ant-dep-pin1}
\end{figure}

\section{Programming and debuging connectors}\label{sec:programming-sonnectors}\label{sec:programming-debugging}
The connectors used for programming and debugging the MCU and the FPGA along with their mating parts are provided in \autoref{tab:jtag-conn-pn}.
The supported interface for the FPGA is JTAG, while the MCU also supports SWD.\@
The pin assignment is provided in \autoref{tab:jtag-pinout}, and the position of pin 1 is shown in \autoref{fig:jtag-pin1}.
Note that the debug reset pin on the MCU JTAG connector refers to a soft reset induced by the debug interface and not to the NRST pin of the MCU.\@

\begin{table}[H]
\centering
\begin{tabular}{|ll|}
\hline
\multicolumn{2}{|c|}{\textbf{Programming and Debugging Connector}}          \\ \hline
\multicolumn{1}{|l|}{SatNOGS COMMS connector} & Molex 53261--1071 \\ \hline
\multicolumn{1}{|l|}{Mating Connector} & Molex 51021--1000 \\ \hline
\multicolumn{1}{|l|}{Mating Connector Crimps} & Molex 500588020 \\ \hline
\end{tabular}
\caption{Programming and debugging connector and mating parts}\label{tab:jtag-conn-pn}
\end{table}

\begin{table}[H]
  \centering
  \begin{tabular}{|l|l|l|l|}
    \hline
    Pin   & MCU SWD        &  MCU JTAG      & FPGA JTAG       \\ \hline
    1     & Clock          & Clock          & Clock           \\ \hline
    2,4,6 & GND            & GND            & GND             \\ \hline
    3     & SWDIO          & JTMS           & TMS             \\ \hline
    5     & SWO            & JTDO           & TDO             \\ \hline
    7     & ---            & JTDI           & TDI             \\ \hline
    8     & NRST           & NRST           & GND             \\ \hline
    9     & Debug reset    & Debug reset    & PS POR B        \\ \hline
    10    & 3.3V Reference & 3.3V Reference & 3.3V Reference  \\ \hline
  \end{tabular}%

  \caption{Programming connector pin assignment}\label{tab:jtag-pinout}
\end{table}

\begin{figure}[H]
  \centering
  \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/jtag-pin1.png}
  \caption{Programming connector pin numbering}\label{fig:jtag-pin1}
\end{figure}

\section{RF Connectors}\label{sec:rf-connectors}
The connector used for the RF communication interfaces along with its mating part are provided in \autoref{tab:comms-rf-conn-pn}.
The position of the UHF and S-Band interface on the board is noted in \autoref{fig:pc104-pin1-leds-rf}.

\begin{table}[H]
\centering
\begin{tabular}{|ll|}
\hline
\multicolumn{2}{|c|}{\textbf{Communication RF Connectors}}          \\ \hline
\multicolumn{1}{|l|}{SatNOGS COMMS connector} & Molex 73415--0961 \\ \hline
\multicolumn{1}{|l|}{Mating Connector} & Any MMCX \\ \hline
\multicolumn{1}{|l|}{Mating Connector Crimps} & Any MMCX \\ \hline
\end{tabular}
\caption{Communication RF connectors and mating parts}\label{tab:comms-rf-conn-pn}
\end{table}

The connector used for the 26MHz and 1PPS external reference clock interfaces along with its mating part is provided in \autoref{tab:clock-rf-conn-pn}.
The position of the external reference clock interface on the board is noted in \autoref{fig:external-clock-position}.
This figure only shows the cutouts on the EMI shield from which the interface cables exit the system.
During assembly, the cables are connected before the EMI shield is placed and secured.

Some additional information are provided regarding the external reference clock interface in \autoref{tab:external-clock-interface}.

\begin{table}[H]
    \centering
    \begin{tabular}{|l|c|c|l|}
    \hline
    Interface & Voltage Limit         & Signal Type                   & Input Interface \\ \hline
    1PPS      & 0V to 3.3V            & Rectanglular pulse                     & LMK1C1102DQF    \\ \hline
    26MHz     & \begin{tabular}[c]{ccc}600mV to 1500mV\\ (peak to peak)\\ AC Coupling\end{tabular} & \begin{tabular}[c]{ccc}Rectanglular pulse\\ Sine\\ Clipped Sine\end{tabular} & TS5A3157DCKR   \\ \hline
    \end{tabular}
    \caption{External Clock Interfaces}\label{tab:external-clock-interface}
\end{table}

\begin{table}[H]
\centering
\begin{tabular}{|ll|}
\hline
\multicolumn{2}{|c|}{\textbf{Reference Clock RF Connectors}}                                                                                                     \\ \hline
\multicolumn{1}{|l|}{SatNOGS COMMS connector} & Wurth 66011102111302                                                                                             \\ \hline
\multicolumn{1}{|l|}{Mating Connector}        & Same as mating crimp                                                                                                              \\ \hline
\multicolumn{1}{|l|}{Mating Connector Crimps} & \begin{tabular}[c]{@{}l@{}}AmphenolRF 262111\\ MMCX Right Angle Crimp Plug\\ RG-316DS RD-316 50 Ohm\end{tabular} \\ \hline
\end{tabular}
\caption{Reference clock RF connectors and mating parts}\label{tab:clock-rf-conn-pn}
\end{table}

\begin{figure}[H]
  \centering
  \includegraphics[keepaspectratio, width=1.0\textwidth]{diagrams/external_clock_position.png}
  \caption{External clock reference interface}\label{fig:external-clock-position}
\end{figure}

\section{RGMII, UART \& eMMC Connector}\label{sec:fpga-emmc-connector}

SatNOGS COMMS provides an RGMII interface which is connected to the PS part of the Zync SoC and, internally, it is fed by a \acrshort{gmii} to \acrshort{rgmii} adapter, which is wired to an IEEE 802.3--2008~\cite{IEEE-802.3-2008} compliant gigabit ethernet controller.
Up to 100 Mbps throughput on 1.8V operation has been achieved through this interface during testing.

The RGMII interface, a UART interface for debugging the SoM, along with some lines to access the eMMC memory are exposed on the connector listed in \autoref{tab:rgmii-uart-emmc-conn-pn}.\@
The pinout of said connector is provided in \autoref{tab:rgmii-uart-emmc-pinout} and the position of pin 1 is shown in \autoref{fig:rgmii-uart-emmc-conn-pin1}.\@


\begin{table}[H]
\centering
\begin{tabular}{|ll|}
\hline
\multicolumn{2}{|c|}{\textbf{RGMII, UART, eMMC Connector}}          \\ \hline
\multicolumn{1}{|l|}{SatNOGS COMMS connector} & Harwin G125-MH12605L3R \\ \hline
\multicolumn{1}{|l|}{Mating Connector} & Harwin	G125--2042696L0 \\ \hline
\multicolumn{1}{|l|}{Mating Connector Crimps} & Harwin	G125-FW20150F94 \\ \hline
\end{tabular}
\caption{RGMII, UART, eMMC connector and mating parts}\label{tab:rgmii-uart-emmc-conn-pn}
\end{table}


% Please add the following required packages to your document preamble:
% \usepackage{booktabs}
\begin{table}[H]
    \centering
    \begin{tabular}{@{}ll@{}}
        \toprule
        Pin         & Function             \\ \midrule
        1           & PHY\_RESET           \\
        2           & 1.8V output          \\
        3           & RGMII-MDC            \\
        4, 7, 8, 22 & GND                  \\
        5           & RGMII-MDIO           \\
        6           & PHY\_INT             \\
        9           & RGMII-TXD0 from SoM  \\
        10          & RGMII-RXCLK to SoM   \\
        11          & RGMII-TXD1 from SoM  \\
        12          & RGMII-RXCTL to SoM   \\
        13          & RGMII-TXD2 from SoM  \\
        14          & RGMII-RXD0 to SoM    \\
        15          & RGMII-TXD3 from SoM  \\
        16          & RGMII-RXD1 to SoM    \\
        17          & RGMII-TXCLK from SoM \\
        18          & RGMII-RXD2 to SoM    \\
        19          & RGMII-TXCTL from SoM \\
        20          & RGMII-RXD3 to SoM    \\
        21          & MCU\_MMC-D0          \\
        23          & MCU\_MMC-CMD         \\
        24          & UART-RX to SoM       \\
        25          & MCU\_MMC-CK          \\
        26          & UART-TX from SoM     \\ \bottomrule
        \end{tabular}
        \caption{RGMII, UART \& eMMC connector pinout}\label{tab:rgmii-uart-emmc-pinout}
\end{table}

\begin{figure}[H]
    \centering
    \includegraphics[width=0.5\linewidth]{diagrams/rgmii-uart-emmc-conn-pin1.png}
    \caption{RGMII, UART \& eMMC connector pin 1}\label{fig:rgmii-uart-emmc-conn-pin1}
\end{figure}

\section{ESD \& Power protections}

\subsection{ESD}
Most of the interfaces of SatNOGS COMMS include ESD protection in the form of clamping diodes placed as close as possible to the connectors.
In particular, the protected interfaces are:
\begin{itemize}
    \item MCU and FPGA \acrshort{jtag}
    \item PC--104 \acrshort{spi}, \acrshort{i2c} and \acrshort{uart}. Also resistors are included in-series after the diodes and before the components.
    \item Antenna deployment
\end{itemize}

Regarding the \acrshort{can} interface on the PC--104, the selected \acrshort{can} driver (TCAN334G) incorporates ESD protection.

Regarding the external reference clock 26MHz and 1PPS, the selected multiplexer and clock buffer incorporated ESD protection.

\subsection{Power protections}
The power system of SatNOGS COMMS is paired with an elaborate protection scheme able to protect the downstream components from overvoltage, undervoltage and excessive current draw.
All major power rails on the board are automatically reset in the event of excessive current draw or overvoltage, while an \acrshort{mcu} signal is required in addition to a proper voltage level for the RF and FPGA power rails to be enabled.
For further details on the operation of the power protection system along with an FMEA analysis, please refer to the System Design Document.


\chapter{FPGA SoM}

This chapter details the various interfaces related to the FPGA SoM that can be hosted on SatNOGS COMMS.\@
The electrical and mechanical interface characteristics required for a user to employ their own SoM on SatNOGS COMMS are provided.\@

\section{RF Functionality}

The baseband transceiver functionalities are listed below:
\begin{itemize}
    \item Modulation: GMSK/GFSK, BPSK, QPSK
    \item Tx: ECC, CCSDS CC1/2 w/ and w/o RS, Rx: only CCSDS RS
    \item Framing encapsulation: CCSDS, IEEE 802.15.4
    \item Data Rates: UHF, up to 50 kbps, S-Band, up to 1 Mbps
\end{itemize}
In the default SatNOGS COMMS configuration with the Alinx AC7Z020, the SoM provides a 13-bit I/Q data interface with a sampling frequency up to 4MHz through which additional RF functionalities can be implemented.

\section{Mechanical Interface}

The FPGA SoM is mechanically attached to SatNOGS COMMS through nuts, bolts, and threaded spacers.
In particular, the following parts are used:
\begin{itemize}
    \item Nut M2 DIN934
    \item Bolt M2L8 DIN912
    \item Female to Female M2 L3, Knurled, Brass, Round Spacer
\end{itemize}

For the default SoM used in SatNOGS COMMS (the Alinx AC7Z020), the mounting is performed by placing the bold such that the bolt head contacts the bottom side of the board and the nut contacts the top side of the SoM, as shown in \autoref{fig:som-mounting-ac7z020}.
For the flight configuration, glue is applied to the nut and bolt.

\begin{figure}
    \centering
    \includegraphics[width=0.5\linewidth]{diagrams/som-mounting-ac7z020.png}
    \caption{AC7Z020 SoM mounting}\label{fig:som-mounting-ac7z020}
\end{figure}

Regarding the relative position of the SoM mounting holes to the mezzanine connectors, a SoM KiCAD footprint has been created as part of the LibreWave project and it can be found in \href{https://gitlab.com/librespacefoundation/lsf-kicad-lib}{lsf-kicad-lib} under the footprint name \textit{LibreWave-SoM}.

\section{Electrical Interface}

\subsection{Mezzanine Connector Pinout}
The connector used to interface SatNOGS COMMS with the FPGA SoM along with its mating part are provided in \autoref{tab:mezzanine-conn-pn}.

The functionalities of the mezzanine connector pins are provided in \autoref{tab:mezzanine-m1} and \autoref{tab:mezzanine-m2}, while the naming of the two headers of the mezzanine connectors are shown in \autoref{fig:mezzanine-m-numbering}. 

\begin{table}[H]
\centering
\begin{tabular}{|ll|}
\hline
\multicolumn{2}{|c|}{\textbf{RGMII, UART, eMMC Connector}}          \\ \hline
\multicolumn{1}{|l|}{SatNOGS COMMS connector} & Panasonic AXK6A2337YG \\ \hline
\multicolumn{1}{|l|}{Mating Connector} & Panasonic AXK5A2137YG \\ \hline
\multicolumn{1}{|l|}{Mating Connector Crimps} & N/A \\ \hline
\end{tabular}
\caption{FPGA SoM mezzanine connector and mating part}\label{tab:mezzanine-conn-pn}
\end{table}

\begin{figure}[H]
    \centering
    \includegraphics[width=0.7\linewidth]{diagrams/mezzanine-m-numbering.png}
    \caption{Mezzanine connector header numbering}\label{fig:mezzanine-m-numbering}
\end{figure}

% Please add the following required packages to your document preamble:
% \usepackage{booktabs}
\begin{table}[]
\centering
\begin{tabular}{@{}lll@{}}
\toprule
\multicolumn{3}{c}{\textbf{H1}}                                                                                                                                                                                                                                                                                                                                                                                                                                         \\ \midrule
\textbf{Header no}                                                                                                                                                    & \textbf{Overall no}                                                                                                                                                 & \textbf{Functionality}                                                                                                    \\
\begin{tabular}[c]{@{}l@{}}1, 2, 3,   4,\\      5, 6, 7, 8\end{tabular}                                                                                               & \begin{tabular}[c]{@{}l@{}}1, 2, 3, 4,\\      5, 6, 7, 8\end{tabular}                                                                                               & 5V SoM input                                                                                                              \\
11, 13, 15, 17                                                                                                                                                        & 11, 13, 15, 17                                                                                                                                                      & 3.3V SoM input                                                                                                            \\
12, 14, 16, 18                                                                                                                                                        & 12, 14, 16, 18                                                                                                                                                      & 2.5V SoM input                                                                                                            \\
\begin{tabular}[c]{@{}l@{}}9, 10,   19, 20,\\      29, 30, 39, 40,\\      49, 50, 59, 60,\\      69, 70, 79, 80,\\      89, 90, 99, 100,\\      109, 110\end{tabular} & \begin{tabular}[c]{@{}l@{}}9, 10, 19, 20,\\      29, 30, 39, 40,\\      49, 50, 59, 60,\\      69, 70, 79, 80,\\      89, 90, 99, 100,\\      109, 110\end{tabular} & GND                                                                                                                       \\
22                                                                                                                                                                    & 22                                                                                                                                                                  & SPI-SEL                                                                                                                   \\
24                                                                                                                                                                    & 24                                                                                                                                                                  & SPI-MOSI                                                                                                                  \\
28                                                                                                                                                                    & 28                                                                                                                                                                  & SPI-MISO                                                                                                                  \\
37                                                                                                                                                                    & 37                                                                                                                                                                  & 1 PPS SoM clock input line 2                                                                                              \\
41                                                                                                                                                                    & 41                                                                                                                                                                  & SPI-CLK                                                                                                                   \\
52                                                                                                                                                                    & 52                                                                                                                                                                  & LED\_1 output                                                                                                             \\
54                                                                                                                                                                    & 54                                                                                                                                                                  & LED\_2 output                                                                                                             \\
55                                                                                                                                                                    & 55                                                                                                                                                                  & UART\_2 RX to SoM                                                                                                         \\
57                                                                                                                                                                    & 57                                                                                                                                                                  & UART\_2 TX from SoM                                                                                                       \\
72                                                                                                                                                                    & 72                                                                                                                                                                  & \begin{tabular}[c]{@{}l@{}}RX\_INT (used as a generic IO   \\      or to indicate an interrupt due to RF RX)\end{tabular} \\
76                                                                                                                                                                    & 76                                                                                                                                                                  & \begin{tabular}[c]{@{}l@{}}IP\_RESET  (used as a generic IO\\      or to reset the IP cores)\end{tabular}                 \\
81                                                                                                                                                                    & 81                                                                                                                                                                  & 100 MHz SoM clock input                                                                                                   \\
111                                                                                                                                                                   & 111                                                                                                                                                                 & JTAG-TCK                                                                                                                  \\
113                                                                                                                                                                   & 113                                                                                                                                                                 & JTAG-TMS                                                                                                                  \\
115                                                                                                                                                                   & 115                                                                                                                                                                 & JTAG-TDO                                                                                                                  \\
116                                                                                                                                                                   & 116                                                                                                                                                                 & PS\_POR\_B (specific to some   Xilinx FPGAs)                                                                              \\
117                                                                                                                                                                   & 117                                                                                                                                                                 & JTAG-TDI                                                                                                                  \\
118                                                                                                                                                                   & 118                                                                                                                                                                 & FPGA\_DONE (also drives a LED)                                                                                            \\ \bottomrule
\end{tabular}
\caption{Mezzanine connector H1 pinout}\label{tab:mezzanine-m1}
\end{table}

% Please add the following required packages to your document preamble:
% \usepackage{booktabs}
\begin{table}[H]
\centering
\begin{tabular}{@{}lll@{}}
\toprule
\multicolumn{3}{c}{\textbf{H2}}                                                                                                                                                                                                                                                                                                                                                                                                                                         \\ \midrule
\textbf{Header pin}                                                                                                                                                   & \textbf{Connector pin}                                                                                                                                                                  & \textbf{Functionality}       \\
\begin{tabular}[c]{@{}l@{}}9, 10, 29, 20, 29, 30,\\      39, 40, 49, 50, 59, 60,\\      69, 70, 79, 80, 89, 90,\\      99, 100, 109, 110,\\  
\end{tabular} & \begin{tabular}[c]{@{}l@{}}129, 130, 139, 140, 149, 150,\\      159, 160, 169, 170, 179, 180,\\      189, 190, 199, 200, 209, 210,\\       219, 220, 229, 230\\\end{tabular} & GND                          \\
1                                                                                                                                                                     & 121                                                                                                                                                                                     & LVDS-TXDP from SoM           \\
3                                                                                                                                                                     & 123                                                                                                                                                                                     & LVDS-TXDN from SoM           \\
25                                                                                                                                                                    & 145                                                                                                                                                                                     & LVDS-RXDP Sband to SoM       \\
27                                                                                                                                                                    & 147                                                                                                                                                                                     & LVDS-RXDN Sband to SoM       \\
31                                                                                                                                                                    & 151                                                                                                                                                                                     & LVDS-RXDN UHF to SoM         \\
33                                                                                                                                                                    & 153                                                                                                                                                                                     & LVDS-RXDP UHF to SoM         \\
41                                                                                                                                                                    & 161                                                                                                                                                                                     & LVDS-RXCLKN to SoM           \\
43                                                                                                                                                                    & 163                                                                                                                                                                                     & LVDS-RXCLKP to SoM           \\
52                                                                                                                                                                    & 172                                                                                                                                                                                     & LVDS-TXCLKP from SoM         \\
54                                                                                                                                                                    & 174                                                                                                                                                                                     & LVDS-TXCLKN from SoM         \\
61                                                                                                                                                                    & 181                                                                                                                                                                                     & RGMII-RXCLK to SoM           \\
63                                                                                                                                                                    & 183                                                                                                                                                                                     & RGMII-RXCTL to SoM           \\
65                                                                                                                                                                    & 185                                                                                                                                                                                     & RGMII-RXD0 to SoM            \\
66                                                                                                                                                                    & 186                                                                                                                                                                                     & PHY\_INT                     \\
67                                                                                                                                                                    & 187                                                                                                                                                                                     & RGMII-RXD1 to SoM            \\
71                                                                                                                                                                    & 191                                                                                                                                                                                     & RGMII-RXD2 to SoM            \\
72                                                                                                                                                                    & 192                                                                                                                                                                                     & 1 PPS SoM clock input line 1 \\
73                                                                                                                                                                    & 193                                                                                                                                                                                     & RGMII-RXD3 to SoM            \\
74                                                                                                                                                                    & 194                                                                                                                                                                                     & MMC CK                       \\
75                                                                                                                                                                    & 195                                                                                                                                                                                     & RGMII-TXCTL from SoM         \\
76                                                                                                                                                                    & 196                                                                                                                                                                                     & MMC D0                       \\
77                                                                                                                                                                    & 197                                                                                                                                                                                     & RGMII-TXCLK from SoM         \\
78                                                                                                                                                                    & 198                                                                                                                                                                                     & MMC CMD                      \\
81                                                                                                                                                                    & 201                                                                                                                                                                                     & RGMII-TXD3 from SoM          \\
83                                                                                                                                                                    & 203                                                                                                                                                                                     & RGMII-TXD2 from SoM          \\
84                                                                                                                                                                    & 204                                                                                                                                                                                     & MMC D2                       \\
85                                                                                                                                                                    & 205                                                                                                                                                                                     & RGMII-TXD1 from SoM          \\
87                                                                                                                                                                    & 207                                                                                                                                                                                     & RGMII-TXD0 from SoM          \\
92                                                                                                                                                                    & 212                                                                                                                                                                                     & MMC D1                       \\
94                                                                                                                                                                    & 214                                                                                                                                                                                     & PHY\_RESET                   \\
96                                                                                                                                                                    & 216                                                                                                                                                                                     & UART\_1 TX from SoM          \\
98                                                                                                                                                                    & 218                                                                                                                                                                                     & UART\_1 RX to SoM            \\
102                                                                                                                                                                   & 222                                                                                                                                                                                     & RGMII-MDC                    \\
112                                                                                                                                                                   & 232                                                                                                                                                                                     & MMC D3                       \\
114                                                                                                                                                                   & 234                                                                                                                                                                                     & UART\_0 RX to SoM            \\
116                                                                                                                                                                   & 236                                                                                                                                                                                     & UART\_0 TX from SoM          \\
118                                                                                                                                                                   & 238                                                                                                                                                                                     & RGMII-MDIO                   \\
119, 120                                                                                                                                                              & 239, 240                                                                                                                                                                                & Configurable Pull Up/Down    \\ \bottomrule
\end{tabular}
\caption{Mezzanine connector H2 pinout}\label{tab:mezzanine-m2}
\end{table}

\subsection{SoM Power Interfaces}

The SoM is powered via a \acrshort{pdn} implemented on SatNOGS COMMS\@.
The voltage levels provided by this \acrshort{pdn} along with their current limits are listed below:
\begin{itemize}
    \item 5V power channel: \acrshort{smps} (LT8610EMSE\#PBF), shared with the RF subsystem, protected against overvoltage, undervoltage, and overcurrent events via an e-fuse (TPS259470A). Overvoltage limits range from 5.3 to 5.47V. Undervoltage limits are 4.75V (for a rising edge) and 4.5V (for a falling edge). Additionally, an undevoltage limit of 5.7V has been set for the input of the \acrshort{smps}. The current limit stands at 0.59 A. Note that the 3.3V and 2.5V power channels draw from the 5V one, so the aforementined current limit cannot be fully exploited by the 5V power channel.
    \item 3.3V power channel: LDO (LD39100PU33RY), with a current output capability dependent on the ambient temperature. A current capability of 0.48 A is obtained for the case of 80 C ambient temperature.
    \item 2.5V power channel: LDO (MIC5320-JGYD6), with a current output capacity dependent on the ambient temperature. A current capability of 0.26 A is obtained for the case of 80 C ambient temperature.
\end{itemize}

\chapter{Software Interfaces}

\section{Space Segment}\label{sec:space-segment}
SatNOGS-COMMS provide a reference firmware\cite{satnogs-comms-sw-repo} based on the Zephyr-RTOS\cite{zephyros}.
This firmware covers the majority of the functionality required from a COMMS subsystem.
Moreover, the firmware provides extensive functionality to operate as OBC too, if the mission requires it.
Special attention has been given on the design of the firmware, so mission specific code can be added, adapting to the user needs.
For more information refer to the main firmware documentation available at~\cite{satnogs-comms-docs}.

In case a mission or user requirements dictate significant firmware modifications or even another RTOS, SatNOGS-COMMS provide the SatNOGS COMMS Control Library\cite{libsatnogs-comms-repo}.
This is an interface library that controls the SatNOGS COMMS transceiver components.
It relies on a peripheral abstraction layer, allowing users of the SatNOGS COMMS to build their own firmware with minimal effort.

\section{Ground Segment}\label{sec:ground-segment}

\subsection{Telemetry API}\label{sec:telemetry-api}

SatNOGS provides an \acrshort{api} for receiving acquired telemetry as well as signal acquisition parameters.
For non real-time operation, raw telemetry data is uploaded directly to SatNOGS DB servers by SatNOGS Client, on predefined intervals.
This \acrshort{api} endpoint accepts \acrshort{hdf5} formatted files which include additional information and metadata of the scheduled SatNOGS Network observation.
The telemetry data are then processed and forward to the InfluxDB database of SatNOGS Dashboards in order to be visualized.
For real-time operation, SatNOGS Client forwards the telemetry data to a SatNOGS Yamcs server.
The SatNOGS Yamcs server receives the data through a data link plugin which provides a \acrshort{grpc} interface for telemetry.
In this case, telemetry data is still eventually forwarded to SatNOGS DB via the Yamcs server and a SatNOGS DB \acrshort{api} data link plugin.

\subsection{Telecommand API}\label{sec:telecommand-api}

SatNOGS provides an \acrshort{api} allowing telecommand data transmission.
SatNOGS Client \acrshort{grpc} interface is used to receive telecommands.
These commands are sent by the SatNOGS Yamcs server via a \acrshort{grpc} data link plugin.
The client then forwards the telecommands to SatNOGS Radio in order to be encoded and transmitted via the \acrshort{sdr}.

\subsection{Telecommand and Telemetry Format}
The default firmware of the SatNOGS-COMMS utilizes the CCSDS XTCE\cite{ccsds_xtce} to describe the available telecommands and telemetry responses, as well as the internal structure of each frame.
Yamcs provides seamless integration with the CCSDS XTCE.

\subsection{Control Software}
For the reference firmware\cite{satnogs-comms-sw-repo} the SatNOGS COMMS project provides a Yamcs-based control software\cite{satnogs-comms-yamcs-repo}.
This Yamcs based control software can be used to telecommand the transceiver from any of the available interfaces (RF, CAN, UART) as well as receive telemetry.
This is accomplished using the CCSDS XTCE definition that ships with the reference firmware.
The purpose of this software it to act as a starting point, so missions can build easily the entire mission control with minimal effort.

\section{Health Status Telemetry}

\subsection{Temperature Sensor Positions}

To interpret the temperature values received in the health status telemetry, it is required to know the positions of the temperature sensors on the board.
There are three sensors used to measure ambient (PCB) temperature, UHF \acrshort{pa} temperature, and S-band \acrshort{pa} temperature.
The positions of the aforementioned sensors are depived in \autoref{fig:temp-sensor-positions}.

\begin{figure}[H]
  \centering
  \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/temp_sensor_positions.png}
  \caption{Temperature sensor positions}\label{fig:temp-sensor-positions}
\end{figure}

\chapter{Performance Measurements}

This chapter includes measurements related to the performance of the system, such as power consumption and RF characteristics.

\section{Power Measurements}

The power consumption of the system has been measured in various operational states.
These measurements listed in \autoref{tab:v03_power_measurements} below refer to a 12V supply voltage.
For a more detailed presentation along with comments on the test conditions refer to \href{https://cloud.libre.space/s/Rj7w5mWLiB8LQnf}{this spreadsheet}.
\textit{Note that the measurements were made on v0.3, but the differences with the most recent version are very minor.}

\begin{table}[H]
      \centering
    \begin{tabular}{|l|c|c|l|}
    \hline
    State no. & \begin{tabular}[c]{@{}c@{}}Avg Current\\ {[}mA{]}\end{tabular} & \begin{tabular}[c]{@{}c@{}}Peak Current\\ {[}mA{]}\end{tabular} & State Description                    \\ \hline % chktex 9
    State 1   & 67                                                             & NA                                                              & MCU peripherals initialized          \\ \hline
    State 2   & 57                                                             & NA                                                              & State 1 + eMMC initialized           \\ \hline
    State 3   & NA                                                             & 91                                                              & State 2 + eMMC write                 \\ \hline
    State 4   & NA                                                             & 91                                                              & State 2 + eMMC read                  \\ \hline
    State 5   & 143                                                            & NA                                                              & State 2 + FPGA on                    \\ \hline
    State 6   & 203                                                            & NA                                                              & State 2 + FPGA running petalinux     \\ \hline
    State 7   & 230                                                            & NA                                                              & State 2 + FPGA stress petalinux      \\ \hline
    State 8   & 74                                                             & NA                                                              & State 1 + RF open                    \\ \hline
    State 9   & 71                                                             & NA                                                              & State 8 + init AT86                  \\ \hline
    State 10  & 370                                                            & 641                                                             & State 9 + full power TX UHF baseband \\ \hline
    State 11  & 247                                                            & NA                                                              & State 9 + RX UHF                     \\ \hline
    State 12  & 185                                                            & NA                                                              & State 9 + RX UHF                     \\ \hline
    State 13  & 250                                                            & NA                                                              & State 9 + RX UHF                     \\ \hline
    State 14  & NA                                                             & NA                                                              & State 9 + RX UHF                     \\ \hline
    State 15  & 467                                                            & 718                                                             & State 9 + fullpower TX S baseband    \\ \hline
    State 16  & 303                                                            & NA                                                              & State 9 + RX S                       \\ \hline
    State 17  & 267                                                            & NA                                                              & State 9 + RX S                       \\ \hline
    State 18  & 305                                                            & NA                                                              & State 9 + RX S                       \\ \hline
    State 19  & 245                                                            & NA                                                              & State 9 + RX S                       \\ \hline
    State 20  & 574                                                            & 750                                                             & State 15 + FPGA running petalinux    \\ \hline
    State 21  & 602                                                            & 773                                                             & State 15 + FPGA stress petalinux     \\ \hline
    \end{tabular}
    \caption{Current consumption in various operational states}\label{tab:v03_power_measurements}
\end{table}

\section{RF Measurements}

\subsection{UHF Radio-Transmitter}
The \acrshort{uhf} radio is compliant with the \acrshort{sfcg} 21–2R4 recommendations, peak indicated by marker 2--1 in \autoref{fig:tc-43-spurious} and markers 2--1, 3--1, 4--1 in \autoref{fig:tc-43-mask}.

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=1.0\textwidth]{diagrams/test-camp-2/tc-43-spurious.png}
    \caption{UHF spurious emissions, FSK--2, m = 1, TX power = +31 dBm, symbol rate = 50 kHz}\label{fig:tc-43-spurious}
\end{figure}

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=1.0\textwidth]{diagrams/test-camp-2/tc-43-mask.png}
    \caption{UHF spurious emissions, FSK--2, m = 1, TX power = +31 dBm, symbol rate = 50 kHz}\label{fig:tc-43-mask}
\end{figure}

The \acrshort{rf} output power is not affected by the modulation index (0.5, 1, 1.5, 2) in FSK at 50ksps.
The following diagrams, \autoref{fig:uhf-dc-rf} and \autoref{fig:uhf-rf-register}, show that the \acrshort{rf} output power and the DC power consumption are affected by the operating frequency, 401 and 435MHz.
The measurements are done:
\begin{itemize}
    \item with peak detector and maximum hold as trace type
    \item the measurement bandwidth (integrated) is 50kHz (FSK-2 at 50ksps) on 200kHz span
    \item temperature: ${25}^\circ C$
    \item Dwell time: 60secs
    \item the DC power consumption is measured with joulescope and it is the average value of plateau, \autoref{fig:inrush-pa}
\end{itemize}

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=1.0\textwidth]{diagrams/uhf-dc-rf.png}
    \caption{DC power vs TX RF power on UHF radio}\label{fig:uhf-dc-rf}
\end{figure}

\begin{figure}[H]
        \centering
        \includegraphics[keepaspectratio, width=1.0\textwidth]{diagrams/uhf-rf-register.png}
        \caption{TX RF power vs AT86RF215 TX register on UHF radio}\label{fig:uhf-rf-register}
\end{figure}

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=1.0\textwidth]{diagrams/inrush-pa.png}
    \caption{DC power consumption plateau measurement (an example)}\label{fig:inrush-pa}
\end{figure}

The frequency step is 100Hz in the range 400MHz to 440MHz as defined by AT86RF215 \acrshort{ic}.

\subsection{UHF Radio-Receiver}\label{sec:uhf-rx}
The receive \acrshort{rf} front end, can operate in two modes:
\begin{itemize}
    \item \acrshort{agc} is enabled, \autoref{fig:uhf-agc-on}.
    \item \acrshort{agc} is disabled, and \acrshort{vga} is controlled by \acrshort{mcu}, \autoref{fig:uhf-agc-off}.
\end{itemize}

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=0.9\textwidth]{diagrams/uhf-agc-on.png}
    \caption{UHF AGC-ON, DAC 8-bit}\label{fig:uhf-agc-on}
\end{figure}

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=0.9\textwidth]{diagrams/uhf-agc-off.png}
    \caption{UHF AGC-OFF, DAC 8-bit}\label{fig:uhf-agc-off}
\end{figure}

The suggested mode is \acrshort{agc} ON with \acrshort{tgt} level $-55dBm$ to achieve the largest dynamic range of $50dB$.
Some critical characteristics:

\begin{table}[H]
    \centering
    \begin{tabular}{|l|c|}
        \hline
        Noise Figure (dB)   & 1.8   \\ \hline
        Maximum input (dBm) & +20    \\ \hline
    \end{tabular}
    \caption{UHF receiver}
\end{table}

The \acrshort{tgt} level is measured by using the \acrshort{rssi} of AT86RF215 with tolerance of $\pm5dB$.
The following table, \autoref{table:rx-uhf-agc-dynamic-range}, shows the DC power consumption in different RF input when the \acrshort{agc} in enabled and the output target is set on -52dBm $\pm5dB$.

\begin{table}[H]
    \centering
    \begin{tabular}{llll}
        \toprule
        RF input (dBm) & RSSI (dBm)  & Gain (dB) & DC power (W) \\ \toprule
        -20  & -41 & -21 & 1.69 \\
        -30  & -51 & -21 & 1.73 \\
        -40  & -51 & -11 & 1.8  \\
        -50  & -51 & -1  & 1.88 \\
        -60  & -51 & 9   & 1.98 \\
        -70  & -51 & 19  & 2.1  \\
        -80  & -51 & 29  & 2.25 \\
        -90  & -53 & 37  & 2.5  \\
        -100 & -61 & 39  & 2.5  \\
        -110 & -70 & 40  & 2.5  \\ \bottomrule
    \end{tabular}
    \caption{RX UHF Radio dynamic range and DC power consumption, AGC ON with TGT -52dBm}\label{table:rx-uhf-agc-dynamic-range}
\end{table}

The measurements are done:
\begin{itemize}
    \item with CW RF input signal
    \item by using the wide \acrshort{bpf}
    \item temperature: ${25}^\circ C$
    \item Dwell time: 60secs
    \item the DC power consumption is measured with joulescope and it is the average value of plateau, \autoref{fig:inrush-pa}
\end{itemize}

The frequency step is 100Hz in the range 400MHz to 440MHz as defined by AT86RF215 \acrshort{ic}.

Another important aspect is the \acrshort{ber} performance of receiver.
The following diagram and table, \autoref{fig:uhf-ber.png} and \autoref{table:rx-uhf-rx-df-sensitivity}, present the receiver sensitivity in different modulations.

\begin{figure}[H]
    \centering
    \includegraphics[width=1\linewidth]{diagrams/uhf-ber.png}
    \caption{UHF Frame success rate for various signal levels}
    \label{fig:uhf-ber.png}
\end{figure}

\begin{table}[H]
    \centering
    \begin{tabular}{llll}
        \toprule
        Modulation      & $\Delta$f (kHz)  & Success Rate & Signal Level (dBm) \\ \toprule
        FSK---2, 50ksps & $\pm10$          & 1099 of 1100 & -100               \\
        MSK, 50ksps     & $\pm10$          & 1100 of 1100 & -110               \\ \bottomrule
    \end{tabular}
    \caption{RX UHF Radio Frequency offset sensitivity}\label{table:rx-uhf-rx-df-sensitivity}
\end{table}

\textbf{Note:}\textit{Better sensitivity is under investigation by the SatNOGS COMMS software team.}

\subsection{S-Band Radio-Transmitter}

The S Band radio is compliant with the \acrshort{sfcg} 21–2R4 recommendations, peak indicated by marker 2--1 in \autoref{fig:tc-44-spurious} and markers 2--1, 3--1, 4--1 in \autoref{fig:tc-51-mask-22pacur}.

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/test-camp-3/tc-44-spurious.png}
    \caption{S Band spurious emissions with FSK--2, m = 0.5, TX power = +33 dBm, 400 kHz symbol rate }\label{fig:tc-44-spurious}
\end{figure}

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=0.8\textwidth]{diagrams/test-camp-3/tc-51-mask-22pacur.png}
    \caption{S Band spectrum mask for MSK, Input Power =  6.5dBm, symbol rate = 400 kHz}\label{fig:tc-51-mask-22pacur}
\end{figure}

The \acrshort{rf} output power is measured only on MSK at 400ksps.
The following diagrams, \autoref{fig:sband-rf-freq}, \autoref{fig:sband-rf-dc} and \autoref{fig:sband-rf-register}, show that the \acrshort{rf} output power and the DC power consumption are affected by the operating frequency, 2200MHz and 2290MHz.
The measurements are done:
\begin{itemize}
    \item with peak detector and maximum hold as trace type
    \item the measurement bandwidth (integrated) is 400kHz (MSK at 400ksps) on 600kHz span
    \item temperature: ${25}^\circ C$
    \item Dwell time 60secs
    \item the DC power consumption is measured with joulescope and it is the average value of plateau, \autoref{fig:inrush-pa}
\end{itemize}

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=1.0\textwidth]{diagrams/sband-rf-freq.png}
    \caption{TX RF power vs Frequency on S-Band radio}
    \label{fig:sband-rf-freq}
\end{figure}

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=1.0\textwidth]{diagrams/sband-rf-dc.png}
    \caption{DC power vs TX RF power on S-Band radio}
    \label{fig:sband-rf-dc}
\end{figure}

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=1.0\textwidth]{diagrams/sband-rf-register.png}
    \caption{TX RF power vs AT86RF215 TX register on S-Band radio}
    \label{fig:sband-rf-register}
\end{figure}

The \acrshort{lo} is selected according to the following table \autoref{table:look-up-tx}.
The frequency step is 400Hz in the range 2200MHz to 2290MHz as defined by AT86RF215 \acrshort{ic}.
\textbf{Option:}\textit{Fine frequency step is possible after request.}

\begin{table}[H]
  \centering
    \begin{tabular}{cccc}
    \toprule
        LO (MHz) & IF (MHz) & RF (MHz) & Image (MHz) \\ \midrule
        182 & 2472 & 2290 & 2654 \\ \midrule
        182 & 2462 & 2280 & 2644 \\ \midrule
        216 & 2486 & 2270 & 2702 \\ \midrule
        216 & 2476 & 2260 & 2692 \\ \midrule
        216 & 2466 & 2250 & 2682 \\ \midrule
        216 & 2456 & 2240 & 2672 \\ \midrule
        216 & 2446 & 2230 & 2662 \\ \midrule
        216 & 2436 & 2220 & 2652 \\ \midrule
        216 & 2426 & 2210 & 2642 \\ \midrule
        216 & 2416 & 2200 & 2632 \\ \bottomrule
    \end{tabular}
  \caption{Look-up Table of LO frequencies of Transmitter}\label{table:look-up-tx}
\end{table}

The mix current register of the RF mixer is set to 1.

\subsection{S-Band Radio-Receiver}

In the same manner with section \autoref{sec:uhf-rx} are following the diagrams, \autoref{fig:s-band-agc-on} and \autoref{fig:s-band-agc-off}.

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=0.9\textwidth]{diagrams/s-band-agc-on.png}
    \caption{S-Band AGC-ON, DAC 8-bit}\label{fig:s-band-agc-on}
\end{figure}

\begin{figure}[H]
    \centering
    \includegraphics[keepaspectratio, width=0.9\textwidth]{diagrams/s-band-agc-off.png}
    \caption{S-Band AGC-OFF, DAC 8-bit}\label{fig:s-band-agc-off}
\end{figure}

The suggested mode is \acrshort{agc} ON with \acrshort{tgt} level $-55dBm$ to achieve the largest dynamic range of $40dB$.
Some critical characteristics:
\begin{table}[H]
    \centering
    \begin{tabular}{|l|c|}
        \hline
        Noise Figure (dB)   & 2.2   \\ \hline
        Maximum input (dBm) & +27   \\ \hline
    \end{tabular}
    \caption{S-Band receiver}
\end{table}

The \acrshort{tgt} level is measured by using the \acrshort{rssi} of AT86RF215 with tolerance of $\pm5dB$.
The following table, \autoref{table:rx-sband-agc-dynamic-range}, shows the DC power consumption in different RF input when the \acrshort{agc} in enabled and the output target is set on -52dBm $\pm5dB$.

\begin{table}[H]
    \centering
    \begin{tabular}{llll}
        \toprule
        RF input (dBm) & RSSI (dBm)  & Gain (dB) & DC power (W) \\ \toprule
        -20  & -48 & -28 & 2.22  \\
        -30  & -51 & -21 & 2.27  \\
        -40  & -51 & -11 & 2.34  \\
        -50  & -52 & -2  & 2.45  \\
        -60  & -52 & 8   & 2.57  \\
        -70  & -52 & 18  & 2.7   \\
        -80  & -59 & 21  & 2.83  \\
        -90  & -70 & 20  & 2.83  \\
        -100 & -78 & 22  & 2.8   \\
        -110 & -88 & 22  & 2.84  \\\bottomrule
    \end{tabular}
    \caption{RX S-Band Radio dynamic range and DC power consumption, AGC ON with TGT -52dBm}\label{table:rx-sband-agc-dynamic-range}
\end{table}

The measurements are done:
\begin{itemize}
    \item with CW RF input signal
    \item by using the wide \acrshort{bpf}
    \item temperature: ${25}^\circ C$
    \item Dwell time: 60secs
    \item the DC power consumption is measured with joulescope and it is the average value of plateau, \autoref{fig:inrush-pa}
\end{itemize}

The \acrshort{lo} is selected according to the following table \autoref{table:look-up-rx}.
The frequency step is 400Hz in the range 2025MHz to 2110MHz as defined by AT86RF215 \acrshort{ic}.
\textbf{Option:}\textit{Fine frequency step is possible after request.}

\begin{table}[H]
  \centering
  \begin{tabular}{ccccccc}
    \toprule
    \makecell{Image\\(MHz)} & \makecell{IF\\(MHz)} & \makecell{LO\\(MHz)} & \makecell{RF\\(MHz)} & \makecell{5th\\LO\\(MHz)} & \makecell{6th\\LO\\(MHz)} & \makecell{7th\\LO\\(MHz)} \\ \midrule
    1635 & 2415 & 390 & 2025 & 1950 & 2340 & 2730 \\ \midrule
    1640 & 2420 & 390 & 2030 & 1950 & 2340 & 2730 \\ \midrule
    1650 & 2430 & 390 & 2040 & 1950 & 2340 & 2730 \\ \midrule
    1660 & 2440 & 390 & 2050 & 1950 & 2340 & 2730 \\ \midrule
    1670 & 2450 & 390 & 2060 & 1950 & 2340 & 2730 \\ \midrule
    1706 & 2434 & 364 & 2070 & 1820 & 2184 & 2548 \\ \midrule
    1716 & 2444 & 364 & 2080 & 1820 & 2184 & 2548 \\ \midrule
    1726 & 2454 & 364 & 2090 & 1820 & 2184 & 2548 \\ \midrule
    1736 & 2464 & 364 & 2100 & 1820 & 2184 & 2548 \\ \midrule
    1746 & 2474 & 364 & 2110 & 1820 & 2184 & 2548 \\ \bottomrule
  \end{tabular}
  \caption{Look-up Table of LO frequencies of Receiver}\label{table:look-up-rx}
\end{table}

The mix current register of the RF mixer is set to 1.

Another important aspect is the \acrshort{ber} performance of receiver.
The following diagram and table, \autoref{fig:sband-ber.png} and \autoref{table:rx-sband-rx-df-sensitivity}, present the receiver sensitivity in different modulations.

\begin{figure}[H]
    \centering
    \includegraphics[width=1\linewidth]{diagrams/sband-ber.png}
    \caption{S-Band Frame success rate for various signal levels}
    \label{fig:sband-ber.png}
\end{figure}

\begin{table}[H]
    \centering
    \begin{tabular}{llll}
        \toprule
        Modulation      & $\Delta$f (kHz)  & Success Rate & Signal Level (dBm) \\ \toprule
        MSK, 400ksps     & $\pm60$          & 1100 of 1100 & -96              \\ \bottomrule
    \end{tabular}
    \caption{RX S-Band Radio Frequency offset sensitivity}\label{table:rx-sband-rx-df-sensitivity}
\end{table}

\textbf{Note:}\textit{Better sensitivity is under investigation by the SatNOGS COMMS software team.}

\chapter{Environmental Specifications}

This chapter outlines the system specifications related to its operational environment.

\section{Operational Temperature}

Based on the maximum and minimum operational temperatures of its components, the operational temperatures of SatNOGS COMMS range from $-20\degree$ to $60\degree$ C.
A component-level analysis is provided \href{https://cloud.libre.space/s/EdtgG9F3eb9kys9}{here}.
As one can notice in the analysis, only a few resistors, capacitors, and inductors have been studied as samples, yet the analysis includes all the more complex integrated circuits. Additionally, a report from the most recent TVAC test can be found \href{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-design-doc/-/jobs/artifacts/master/raw/build/environmental-test-report.pdf?job=docs}{here}.

\section{Vibration Environment}
The report from the most recent vibration test can be found \href{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-design-doc/-/jobs/artifacts/master/raw/build/environmental-test-report.pdf?job=docs}{here}.

\section{Electromagnetic Compatibility}

\subsection{Possible EM Emitters}
Listed in \autoref{tab:emi-emitters} are potential EMI emitters on the board.
This list mostly serves as a reference in case EMC debugging is required, because if detailed emission characterization is required (for example for a sensitive on---board payload), the emissions spectrum from the EMC test shall be used.
Harmonics of the frequencies listed below are also possible to appear.

The report from the most recent EMC test is provided \href{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-design-doc/-/jobs/artifacts/master/raw/build/emc-test-report.pdf?job=docs}{here}.
Note that this test was conducted on SatNOGS COMMS v0.3.1.
The upcoming SatNOGS COMMS v0.3.2 includes an EMI filter on the power input, which aims to alleviate the emissions which violate the limits in the provided test report.

\begin{table}[H]
\centering
\begin{tabular}{|l|l|}
\hline
\textbf{Possible Emitter}                                                            & \textbf{Frequency}   \\ \hline
3.3V SMPS                                                                            & 1.2 MHz  \\ \hline
5V SMPS                                                                              & 1.0 MHz  \\ \hline
FPGA SoM 1V SMPS                                                                     & 2.5 MHz  \\ \hline
FPGA SoM 1.8V SMPS                                                                   & 2.5 MHz  \\ \hline
MCU HSE Crystal                                                                      & 32 MHz   \\ \hline
MCU LSE Crystal                                                                      & 32.768 kHz   \\ \hline
RF Transceiver Crystal                                                               & 26 MHz   \\ \hline
FPGA Crystal                                                                         & 100 MHz  \\ \hline
LVDS                                                                                 & 64 MHz  \\ \hline
RGMII                                                                                & Depends on selected bus clock frequency \\ \hline
MCU-FPGA SPI                                                                         & Depends on selected bus clock frequency \\ \hline
MCU-Transceiver SPI                                                                  & Depends on selected bus clock frequency \\ \hline
Bus SPI                                                                              & Depends on selected bus clock frequency \\ \hline
Bus UART                                                                             & Depends on selected data rate \\ \hline
Bus I2C                                                                              & Depends on selected bus clock frequency \\ \hline
SMBus                                                                                & Depends on selected bus clock frequency \\ \hline
CAN-FD                                                                               & Depends on selected data rate \\ \hline
CAN 2.0                                                                              & Depends on selected data rate \\ \hline
\end{tabular}

\caption{Possible EMI emitters list}\label{tab:emi-emitters}
\end{table}

\subsection{Grounding}

The PCB is grounded through the PC-104 connector.
So, there are no deliberate structure currents because the system has a single path to the satellite common ground (through the PC-104 connector).
This grounding architecture is selected according to the NASA electrical grounding architecture technical handbook\cite{nasa-grounding}.
It must, however, be noted that the grounding of the EMI shield is not optimal.
Instead of being connected to the satellite's chassis ground (which, in turn, is connected to the common ground), the EMI shield is connected to the SatNOGS COMMS system ground and then to the satellite's ground through the PC-104 connector.
This structure results in a larger impedance on the path between the EMI shield and the common ground.
Finally, it is noted that the ground of the RG ports is connected to the system ground.

\section{Radiation Tolerance}
Besides the power protection features aiming to increase radiation hardness against single event effects, SatNOGS COMMS employs aluminum shielding to protect its components from total ionizing dose faults.
An analysis for a 6-year mission in a LEO orbit is provided in~\cite{radiation-shield-analysis}.

\chapter{Material List}
The list of materials contained in the SatNOGS COMMS system is provided~\href{https://cloud.libre.space/s/SaeYA93L69b83R3}{here}.

\chapter{Interfaces Data Sheet}

%% Power
\begin{table}[ht]
  \centering
  \resizebox{\textwidth}{!}{%
    \begin{tabular}{|c|p{0.35\linewidth}|p{0.6\linewidth}|l|l|}
      \hline
      \multicolumn{5}{|c|}{\textbf{INTERFACE DATA SHEET}} \\ \hline
      & I/F Designation: & \textbf{DC Power interface} & \multicolumn{2}{l|}{} \\ \hline
      \textbf{ID} & \multicolumn{2}{l|}{\textbf{Source Circuit Specification}} & Ver & Iss \\ \hline
      -1 & Bus voltage & 5.5V-30V input range &  & \\ \hline
      -2 & Bus current & 1.6A max @ 12V Bus voltage &  & \\ \hline
      -3 & Response to bus undervoltage & All loads except MCU switch off automatically MCU is deactivated at 3.2V Bus voltage & & \\ \hline
      -4 & Bus voltage (anomaly): & The load shall not be damaged when subjected to any bus voltage in the range 0V to 30V, steady-state or at any rate of change. & & \\ \hline
    \end{tabular}%
  }
  \caption{DC Power Interface characteristics}\label{tab:dc-if-power}

\end{table}

%% SPI
\begin{table}[ht]
  \centering
  \resizebox{\textwidth}{!}{%
    \begin{tabular}{|c|p{0.35\linewidth}|p{0.6\linewidth}|l|l|}
      \hline
      \multicolumn{5}{|c|}{\textbf{INTERFACE DATA SHEET}} \\ \hline
      & I/F Designation: & \textbf{SPI interface} & \multicolumn{2}{l|}{} \\ \hline
      \textbf{ID} & \multicolumn{2}{l|}{\textbf{Voltage, data rate and timing specification}} & Ver & Iss \\ \hline
      -1 & Data rate & 8 Mbps for 3m total bus length between devices &  & \\ \hline
      -2 & Voltage range & 0V--3.3V &  & \\ \hline
      -3 & Voltage tolerance & -0.3V--5.5V &  & \\ \hline
      -4 & SPI clock frequency & Slave receiver mode: 100MHz max \newline Slave mode transmitter/full duplex: 31MHz \newline Slave mode transmitter/full duplex: 25MHz & & \\ \hline
      -5 & NSS setup time & Min 2ns &  & \\ \hline
      -6 & NSS hold time & Min 1ns &  & \\ \hline
      -7 & Data input setup time & Min 2ns &  & \\ \hline
      -8 & Data input hold time & Min 1ns &  & \\ \hline
      -9 & Data input hold time & 1ns &  & \\ \hline
      -10 & Data output access time & 9ns--27ns &  & \\ \hline
      -11 & Data output disable time & Max 5ns &  & \\ \hline
      -12 & Data output valid time & Max 16ns &  & \\ \hline
      -13 & Data output hold time & Min 9ns &  & \\ \hline
    \end{tabular}%
  }
  \caption{SPI Interface characteristics}\label{tab:if-spi}
\end{table}

%% CAN Bus
\begin{table}[ht]
  \centering
  \resizebox{\textwidth}{!}{%
    \begin{tabular}{|c|p{0.35\linewidth}|p{0.6\linewidth}|l|l|}
      \hline
      \multicolumn{5}{|c|}{\textbf{INTERFACE DATA SHEET}} \\ \hline
      & I/F Designation: & \textbf{CAN interface} & \multicolumn{2}{l|}{} \\ \hline
      \textbf{ID} & \multicolumn{2}{l|}{\textbf{CAN Bus characteristics}} & Ver & Iss \\ \hline
      -1 & Bus 1 & Compliant with ISO 11898--1\cite{ISO-11898-1} (CAN protocol specification version 2.0 part A, B) and CAN FD protocol specification version 1.0 \newline Supports time triggered CAN (TT-FDCAN) specified in ISO 11898--4\cite{ISO-11898-4} &  & \\ \hline
      -2 & Bus 2 & Compliant with ISO 11898--1\cite{ISO-11898-1} (CAN protocol specification version 2.0 part A, B) and CAN FD protocol specification version 1.0 &  & \\ \hline
      -3 & Receiver common mode input voltage & +/-12V &  & \\ \hline
      -4 & Bus fault protection & +/-58V &  & \\ \hline
      -5 & Max differential voltage between CANH and CANL & +/-45V &  & \\ \hline
      -6 & Bus termination & 120 $\Omega$ at each end of the bus. Split termination is supported &  & \\ \hline
    \end{tabular}%
  }
  \caption{CAN Interface characteristics}\label{tab:if-can}
\end{table}

%% Antenna
\begin{table}[ht]
  \centering
  \resizebox{\textwidth}{!}{%
    \begin{tabular}{|c|p{0.35\linewidth}|p{0.6\linewidth}|l|l|}
      \hline
      \multicolumn{5}{|c|}{\textbf{INTERFACE DATA SHEET}} \\ \hline
      & I/F Designation: & \textbf{Antenna interface} & \multicolumn{2}{l|}{} \\ \hline
      \textbf{ID} & \multicolumn{2}{l|}{\textbf{RF characteristics}} & Ver & Iss \\ \hline
      -1 & UHF Impedance & 50 $\Omega$ &  & \\ \hline
      -2 & S-Band impedance & 50 $\Omega$ &  & \\ \hline
      \multicolumn{5}{|l|}{\textbf{Deployment control}} \\ \hline
      -3 & Output type & Push-pull or Open-drain &  & \\ \hline
      -4 & Output voltage & Push-pull: 3.3V \newline Open-drain: 5V &  & \\ \hline
      -5 & Output current & Max 18mA &  & \\ \hline
      \multicolumn{5}{|l|}{\textbf{Deployment detection}} \\ \hline
      -6 & Input type & Pull-Up, Pull-Down, Floating or Analog &  & \\ \hline
      -7 & Input voltage & Nominal 3.3V (reference voltage for analog) \newline Tolerant 5V (only Digital) &  & \\ \hline
      -8 & High threshold & 2V &  & \\ \hline
      -9 & Low threshold & 0.8V &  & \\ \hline
      -10 & Pull-up/Pull-down resistor & 40k$\Omega$±10k$\Omega$ &  & \\ \hline
    \end{tabular}%
  }
  \caption{Antenna Interface characteristics}\label{tab:if-antenna}
\end{table}

%% Clock
\begin{table}[ht]
  \centering
  \resizebox{\textwidth}{!}{%
    \begin{tabular}{|c|p{0.35\linewidth}|p{0.6\linewidth}|l|l|}
      \hline
      \multicolumn{5}{|c|}{\textbf{INTERFACE DATA SHEET}} \\ \hline
      & I/F Designation: & \textbf{External Clock interface} & \multicolumn{2}{l|}{} \\ \hline
      \textbf{ID} & \multicolumn{2}{l|}{\textbf{RF characteristics, Voltage and timing specification}} & Ver & Iss \\ \hline
      -1 & Impedance: 1PPS & 50 $\Omega$  &  & \\ \hline
      -2 & Impedance: RFFE-26MHz & 50 $\Omega$ &  & \\ \hline
      -3 & Voltage Level: 1PPS & 0V and 3.3V &  & \\ \hline
      -4 & Voltage Level: RFFE-26MHz & peak-to-peak amplitude: \newline 600mV to 1600mV &  & \\ \hline
      -5 & Signal Type: 1PPS & Pulse &  & \\ \hline
      -6 & Signal Type: RFFE-26MHz & Pulse or Clipped Sine &  & \\ \hline
    \end{tabular}%
  }
  \caption{External Clock, 1PPS and 26MHz characteristics}\label{tab:if-external-clock}
\end{table}

%% RGMII
\begin{table}[ht]
  \centering
  \resizebox{\textwidth}{!}{%
    \begin{tabular}{|c|p{0.35\linewidth}|p{0.6\linewidth}|l|l|}
      \hline
      \multicolumn{5}{|c|}{\textbf{INTERFACE DATA SHEET}} \\ \hline
      & I/F Designation: & \textbf{RGMII} & \multicolumn{2}{l|}{} \\ \hline
      \textbf{ID} & \multicolumn{2}{l|}{\textbf{RGMII characteristics}} & Ver & Iss \\ \hline
      -1 & Signal characteristics & Gigabit Ethernet Controller compliant with IEEE 802.3--2008 standard~\cite{IEEE-802.3-2008} &  & \\ \hline
      -2 & Data rate & 10/100/1000 Mbps & & \\ \hline
      -3 & Voltage range & 0V 1.8V & & \\ \hline
    \end{tabular}%
  }
  \caption{RGMII Interface characteristics}\label{tab:if-rgmii}
\end{table}

%% UART
\begin{table}[ht]
  \centering
  \resizebox{\textwidth}{!}{%
    \begin{tabular}{|c|p{0.35\linewidth}|p{0.6\linewidth}|l|l|}
      \hline
      \multicolumn{5}{|c|}{\textbf{INTERFACE DATA SHEET}} \\ \hline
      & I/F Designation: & \textbf{UART} & \multicolumn{2}{l|}{} \\ \hline
      \textbf{ID} & \multicolumn{2}{l|}{\textbf{UART characteristics}} & Ver & Iss \\ \hline
      -1 & Type & Asynchronous & & \\ \hline
      -2 & Data rate & User defined & & \\ \hline
      -3 & Voltage range & 0V to 3.3V & & \\ \hline
    \end{tabular}%
  }
  \caption{UART Interface characteristics}\label{tab:if-uart}
\end{table}

%% I2C
\begin{table}[ht]
  \centering
  \resizebox{\textwidth}{!}{%
    \begin{tabular}{|c|p{0.35\linewidth}|p{0.6\linewidth}|l|l|}
      \hline
      \multicolumn{5}{|c|}{\textbf{INTERFACE DATA SHEET}} \\ \hline
      & I/F Designation: & \textbf{I2C} & \multicolumn{2}{l|}{} \\ \hline
      \textbf{ID} & \multicolumn{2}{l|}{\textbf{I2C characteristics}} & Ver & Iss \\ \hline
      -1 & Type & Bidirectional & & \\ \hline
      -2 & Data rate & 0.1/0.4/1.0 Mbps  & & \\ \hline
      -3 & Voltage range & 0V to 3.3V & & \\ \hline
    \end{tabular}%
  }
  \caption{I2C Interface characteristics}\label{tab:if-i2c}
\end{table}

\renewcommand\bibname{References}
\bibliographystyle{unsrt}
\bibliography{references}
\end{document}
